org.apache.solr.update

## Class MemOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.solr.common.util.FastOutputStream
    - - org.apache.solr.update.MemOutputStream

- All Implemented Interfaces:
    Closeable, DataOutput, Flushable, AutoCloseable

      public class MemOutputStream
      extends FastOutputStream

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<byte[]>` | `buffers`

    - ### Fields inherited from class org.apache.solr.common.util.FastOutputStream

      `buf, out, pos, written`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemOutputStream(byte[] tempBuffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush(byte[] arr, int offset, int len)`
    `void` | `writeAll(FastOutputStream fos)`

    - ### Methods inherited from class org.apache.solr.common.util.FastOutputStream

      `close, flush, flushBuffer, reserve, setWritten, size, wrap, write, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF, written`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buffers

          public List<byte[]> buffers

  - ### Constructor Detail

    - #### MemOutputStream

          public MemOutputStream(byte[] tempBuffer)

  - ### Method Detail

    - #### flush

          public void flush(byte[] arr,
                            int offset,
                            int len)
                     throws IOException

      Overrides:
        `flush` in class `FastOutputStream`
      Throws:
        `IOException`

    - #### writeAll

          public void writeAll(FastOutputStream fos)
                        throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.